LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros
typesizes.h File Reference

Go to the source code of this file.

## Macros
#define | SAL_TYPES_ALIGNMENT2 2
#define | SAL_TYPES_ALIGNMENT4 4
#define | SAL_TYPES_ALIGNMENT8 4
#define | SAL_TYPES_SIZEOFSHORT 2
#define | SAL_TYPES_SIZEOFINT 4
#define | SAL_TYPES_SIZEOFLONG 4
#define | SAL_TYPES_SIZEOFLONGLONG 8
#define | SAL_TYPES_SIZEOFPOINTER 4

## Macro Definition Documentation

#define SAL_TYPES_ALIGNMENT2 2

#define SAL_TYPES_ALIGNMENT4 4

#define SAL_TYPES_ALIGNMENT8 4

#define SAL_TYPES_SIZEOFINT 4

#define SAL_TYPES_SIZEOFLONG 4

#define SAL_TYPES_SIZEOFLONGLONG 8

#define SAL_TYPES_SIZEOFPOINTER 4

#define SAL_TYPES_SIZEOFSHORT 2